{ config, lib, pkgs, ... }:

{
  containers.funkwhale = {
    inherit pkgs;
    privateNetwork = true;
    hostAddress = "192.168.100.1";
    localAddress = "192.168.100.4";
    autoStart = true;
    config = { config, lib, pkgs, ... }: {
      imports = [
        ../../../../modules
      ];
      networking.firewall.enable = false;
      services.funkwhale = {
        enable = true;
        apiIp = "192.168.100.4";
        hostname = "funkwhale.hacc.media";
        protocol = "https";
        defaultFromEmail = "funkwhale@hacc.media";
        api.djangoSecretKey = "TwsgANNKid+HZ0HwhR/FgTcxFIW6sZ8s4n7HxV6zPdU=";
      };
      services.nginx.virtualHosts."funkwhale.hacc.media" = {
        enableACME = lib.mkForce false;
        forceSSL = lib.mkForce false;
      };
    };
  };
}
